<?php

namespace Bixo\HrRequest\Repositories\Eloquent;

use Bixo\HrRequest\Interfaces\HrRequestsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class HrRequestsRepository extends BaseRepository implements HrRequestsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.hr_request.hr_requests.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.hr_request.hr_requests.model.model');
    }
}
