<?php

namespace Bixo\HrRequest;

use DB;
use Illuminate\Database\Seeder;

class HrRequestsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('hr_requests')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'hr_request.hr_requests.view',
                'name'      => 'View HrRequests',
            ],
            [
                'slug'      => 'hr_request.hr_requests.create',
                'name'      => 'Create HrRequests',
            ],
            [
                'slug'      => 'hr_request.hr_requests.edit',
                'name'      => 'Update HrRequests',
            ],
            [
                'slug'      => 'hr_request.hr_requests.delete',
                'name'      => 'Delete HrRequests',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/hr_request/hr_requests',
                'name'        => 'HrRequests',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/hr_request/hr_requests',
                'name'        => 'HrRequests',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'hr_requests',
                'name'        => 'HrRequests',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'HrRequest',
                'module'    => 'HrRequests',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'hr_request.hr_requests.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
