<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for hr_requests in hr_request package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  hr_requests module in hr_request package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'HrRequests',
    'names'         => 'HrRequests',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'HrRequests',
        'sub'   => 'HrRequests',
        'list'  => 'List of hr_requests',
        'edit'  => 'Edit hr_requests',
        'create'    => 'Create new hr_requests'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Document','Leave','Expense',''],
            'document_type'       => ['NOC','Salary Certificate','Reference LEtter',''],
            'leave_type'          => ['Paid','Unpaid','Sick','Maternity','Paternity',''],
            'status'              => ['Draft','Pending','Approved','Rejected','Deleted',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'employee_id'                => 'Please enter employee id',
        'team_id'                    => 'Please enter team id',
        'type'                       => 'Please select type',
        'title'                      => 'Please enter title',
        'date_from'                  => 'Please select date from',
        'date_to'                    => 'Please select date to',
        'document_type'              => 'Please select document type',
        'addresee'                   => 'Please enter addresee',
        'leave_type'                 => 'Please select leave type',
        'leave_half_day'             => 'Please enter leave half day',
        'description'                => 'Please enter description',
        'amount'                     => 'Please enter amount',
        'files'                      => 'Please enter files',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'employee_id'                => 'Employee id',
        'team_id'                    => 'Team id',
        'type'                       => 'Type',
        'title'                      => 'Title',
        'date_from'                  => 'Date from',
        'date_to'                    => 'Date to',
        'document_type'              => 'Document type',
        'addresee'                   => 'Addresee',
        'leave_type'                 => 'Leave type',
        'leave_half_day'             => 'Leave half day',
        'description'                => 'Description',
        'amount'                     => 'Amount',
        'files'                      => 'Files',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 1, 'checked'],
        'team_id'                    => ['name' => 'Team id', 'data-column' => 2, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 3, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 4, 'checked'],
        'date_from'                  => ['name' => 'Date from', 'data-column' => 5, 'checked'],
        'date_to'                    => ['name' => 'Date to', 'data-column' => 6, 'checked'],
        'document_type'              => ['name' => 'Document type', 'data-column' => 7, 'checked'],
        'addresee'                   => ['name' => 'Addresee', 'data-column' => 8, 'checked'],
        'leave_type'                 => ['name' => 'Leave type', 'data-column' => 9, 'checked'],
        'leave_half_day'             => ['name' => 'Leave half day', 'data-column' => 10, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 11, 'checked'],
        'amount'                     => ['name' => 'Amount', 'data-column' => 12, 'checked'],
        'files'                      => ['name' => 'Files', 'data-column' => 13, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'HrRequests',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
